storage "file" {
  path = "/vault/file" # This volume is defined in the base image
}

listener "tcp" {
  address       = "0.0.0.0:8200"
  tls_disable   = "true"
}

ui = true
disable_mlock = true

# Logging
log_file = "/vault/logs/vault.log"
log_rotate_bytes = "200000000"     # 200 MB per file
log_rotate_duration = "168h"       # 1 week per file (whichever comes first: size or time)
log_rotate_max_files = "6"         # Keep the latest 6 files
